import React from 'react';
import { HostDetailsView } from "./HostDetailsView";
import { LinearProgress } from '@material-ui/core';
import { useHost } from "../../api/SwaggerApi";

export function HostDetailsContainer({ id }) {
    console.log(id);
    const [host] = useHost(id);
  
    return (
      <>
        {host ?
          <HostDetailsView host={host} id={id} />
          :
          <LinearProgress color="primary" />
        }
      </>
    );
  }